librelist archives

« back to archive

Having Problems building shoes

Having Problems building shoes

From:
Marco Kittel
Date:
2013-06-18 @ 00:47
On a 32 bit arch Linux System with latest ruby 2.0. Please help me to fix that. 

compiling hpricot_css.c
hpricot_css.c: In Funktion »hpricot_css«:
hpricot_css.c:3399:9: Warnung: Vergleich zwischen Zeiger und Ganzzahl 
[standardmäßig aktiviert]
  if ( p == eof )
         ^
compiling hpricot_scan.c
hpricot_scan.rl: In Funktion »alloc_hpricot_struct«:
hpricot_scan.rl:614:3: Warnung: »rb_struct_iv_get« ist veraltet 
(deklariert bei /usr/include/ruby-2.0.0/ruby/intern.h:818) 
[-Wdeprecated-declarations]
linking shared-object hpricot_scan.so
creating Makefile
compiling unicode.c
compiling generator.c
generator.c:11:18: Warnung: mehrere Token am Ende der Direktive #ifndef 
[standardmäßig aktiviert]
#ifndef RHASH_TBL(h)
                  ^
linking shared-object generator.so
creating Makefile
compiling unicode.c
compiling parser.c
parser.rl:9:18: Warnung: mehrere Token am Ende der Direktive #ifndef 
[standardmäßig aktiviert]
In file included from /usr/include/ruby-2.0.0/ruby.h:33:0,
                 from parser.rl:1:
parser.rl: In Funktion »JSON_parse_object«:
/usr/include/ruby-2.0.0/ruby/ruby.h:445:18: Fehler: expected »(« before »!« token
#define RTEST(v) !(((VALUE)(v) & ~Qnil) == 0)
                  ^
parser.rl:118:20: Anmerkung: bei Substitution des Makros »RTEST«
/usr/include/ruby-2.0.0/ruby/ruby.h:445:18: Warnung: berechneter Wert ist 
unbenutzt [-Wunused-value]
#define RTEST(v) !(((VALUE)(v) & ~Qnil) == 0)
                  ^
parser.rl:118:20: Anmerkung: bei Substitution des Makros »RTEST«
parser.rl:118:68: Fehler: expected »;« before »{« token
make: *** [parser.o] Fehler 1
rake aborted!
Extension build failed
Tasks: TOP => default => build => linux:build => old_build
(See full trace by running task with --trace)
==> FEHLER: Ein Fehler geschah in build().
    Breche ab ...
==> ERROR: Makepkg was unable to build shoes-git.
==> Restart building shoes-git ? [y/N]
==> ----------------------------------
==>
-- 
Diese Nachricht wurde von meinem Android-Mobiltelefon mit K-9 Mail gesendet.

Re: [shoes] Having Problems building shoes

From:
Steve Klabnik
Date:
2013-06-18 @ 01:09
1) shoes is basically abandoned, please use shoes4 or green shoes for now.
2) I'm not sure it works with 2.0, please try with 1.9.3

Re: [shoes] Having Problems building shoes

From:
Tobias Pfeiffer
Date:
2013-06-18 @ 09:09
Hi there,

yes definitely try 1.9.3 and here is a little script that might help 
you: https://gist.github.com/plexus/4194d8c47e9493019e04 - it was 
written for Ubuntu but might help either way.

Cheers, thanks for trying Shoes and Shoes on!
Tobi

On Tue 18 Jun 2013 03:09:52 AM CEST, Steve Klabnik wrote:
> 1) shoes is basically abandoned, please use shoes4 or green shoes for now.
> 2) I'm not sure it works with 2.0, please try with 1.9.3